Subject: bug#71736: Small cleanup patches for lua-ts-mode

From: john muhl <[email-masked]>
Date: Sun, 23 Jun 2024 11:12:21 -0500

Stefan Kangas <[email-masked]> writes:

> john muhl <[email-masked]> writes:
>
>> From abecae7d631f4b313fe8510f47e480f1a82bb4ad Mon Sep 17 00:00:00 2001
>> From: john muhl <[email-masked]>
>> Date: Thu, 13 Jun 2024 15:19:04 -0500
>> Subject: [PATCH 4/4] ; Remove useless require of 'rx' in 'lua-ts-mode'
>>
>> * lisp/progmodes/lua-ts-mode.el: No need to require 'rx' since it
>> is preloaded.  (bug#71736)
>
> I don't think "rx" is preloaded.  In emacs -Q, (featurep 'rx) is nil.

I guess I got confused. I tried:

  $ src/emacs -Q -batch -eval '(message "%s" (rx bos "heyo" eos))'
  \`heyo\`

which led me to think it didn’t need to be required. Feel free to
discard.